# Uses of Record Class
com.usatiuk.dhfs.peersync.PeerId

Packages that use PeerId
Package
Description
com.usatiuk.dhfs.invalidation
com.usatiuk.dhfs.jkleppmanntree
com.usatiuk.dhfs.jkleppmanntree.structs
com.usatiuk.dhfs.peerdiscovery
com.usatiuk.dhfs.peersync
com.usatiuk.dhfs.peersync.structs
com.usatiuk.dhfs.remoteobj
com.usatiuk.dhfs.rpc
com.usatiuk.dhfsfs.objects

## Uses of PeerId in com.usatiuk.dhfs.invalidation

Fields in com.usatiuk.dhfs.invalidation with type parameters of type PeerId
Modifier and Type
Field
Description
`final org.apache.commons.collections4.MultiValuedMap<PeerId,InvalidationQueueEntry>`
DeferredInvalidationQueueData.`deferredInvalidations`
Methods in com.usatiuk.dhfs.invalidation that return PeerId
Modifier and Type
Method
Description
`PeerId`
InvalidationQueueEntry.`peer()`
Returns the value of the `peer` record component.
Methods in com.usatiuk.dhfs.invalidation that return types with arguments of type PeerId
Modifier and Type
Method
Description
`org.pcollections.PMap<PeerId,Long>`
IndexUpdateOp.`changelog()`
Returns the value of the `changelog` record component.
Methods in com.usatiuk.dhfs.invalidation with parameters of type PeerId
Modifier and Type
Method
Description
`org.apache.commons.lang3.tuple.Pair<List<Op>,Runnable>`
OpExtractor.`extractOps(T data, PeerId peerId)`
`org.apache.commons.lang3.tuple.Pair<List<Op>,Runnable>`
OpExtractorService.`extractOps(JData data, PeerId peerId)`
`org.apache.commons.lang3.tuple.Pair<List<Op>,Runnable>`
RemoteObjectMetaOpExtractor.`extractOps(RemoteObjectMeta data, PeerId peerId)`
`void`
OpHandler.`handleOp(PeerId from, T op)`
`void`
OpHandlerService.`handleOp(PeerId from, Op op)`
`void`
DeferredInvalidationQueueService.`handlePeerConnected(PeerId peerId)`
`void`
InvalidationQueueService.`pushInvalidationToOne(PeerId host, JObjectKey obj)`
`void`
InvalidationQueueService.`pushInvalidationToOneNoDelay(PeerId host, JObjectKey obj)`
Constructors in com.usatiuk.dhfs.invalidation with parameters of type PeerId
Modifier
Constructor
Description
``
`InvalidationQueueEntry(PeerId peer, JObjectKey key)`
Creates an instance of a `InvalidationQueueEntry` record class.
Constructor parameters in com.usatiuk.dhfs.invalidation with type arguments of type PeerId
Modifier
Constructor
Description
``
`IndexUpdateOp(JObjectKey key, org.pcollections.PMap<PeerId,Long> changelog, JDataRemoteDto data)`
Creates an instance of a `IndexUpdateOp` record class.

## Uses of PeerId in com.usatiuk.dhfs.jkleppmanntree

Methods in com.usatiuk.dhfs.jkleppmanntree that return PeerId
Modifier and Type
Method
Description
`PeerId`
JKleppmannTreePeriodicPushOp.`from()`
Returns the value of the `from` record component.
`PeerId`
JKleppmannTreePeerInterface.`getSelfId()`
Methods in com.usatiuk.dhfs.jkleppmanntree that return types with arguments of type PeerId
Modifier and Type
Method
Description
`Collection<PeerId>`
JKleppmannTreePeerInterface.`getAllPeers()`
`LogInterface<Long,PeerId,JKleppmannTreeNodeMeta,JObjectKey>`
JKleppmannTreeManager.JKleppmannTree.JKleppmannTreeStorageInterface.`getLog()`
`PeerTimestampLogInterface<Long,PeerId>`
JKleppmannTreeManager.JKleppmannTree.JKleppmannTreeStorageInterface.`getPeerTimestampLog()`
`OpMove<Long,PeerId,JKleppmannTreeNodeMeta,JObjectKey>`
JKleppmannTreeOpWrapper.`op()`
Returns the value of the `op` record component.
Methods in com.usatiuk.dhfs.jkleppmanntree with parameters of type PeerId
Modifier and Type
Method
Description
`void`
JKleppmannTreeManager.JKleppmannTree.`acceptExternalOp(PeerId from, Op op)`
`void`
JKleppmannTreeManager.JKleppmannTree.`commitOpForHost(PeerId host, Op op)`
`org.apache.commons.lang3.tuple.Pair<List<Op>,Runnable>`
JKleppmannTreeOpExtractor.`extractOps(JKleppmannTreePersistentData data, PeerId peerId)`
`List<Op>`
JKleppmannTreeManager.JKleppmannTree.`getPendingOpsForHost(PeerId host, int limit)`
`void`
JKleppmannTreeOpHandler.`handleOp(PeerId from, JKleppmannTreeOpWrapper op)`
`void`
JKleppmannTreePeriodicOpHandler.`handleOp(PeerId from, JKleppmannTreePeriodicPushOp op)`
`boolean`
JKleppmannTreeManager.JKleppmannTree.`hasPendingOpsForHost(PeerId host)`
`void`
JKleppmannTreeInitialSyncProcessor.`prepareForInitialSync(PeerId from, JObjectKey key)`
`void`
JKleppmannTreeManager.JKleppmannTree.`recordBootstrap(PeerId host)`
Method parameters in com.usatiuk.dhfs.jkleppmanntree with type arguments of type PeerId
Modifier and Type
Method
Description
`org.apache.commons.lang3.tuple.Pair<String,JObjectKey>`
JKleppmannTreeManager.JKleppmannTree.`findParent(Function<TreeNode<Long,PeerId,JKleppmannTreeNodeMeta,JObjectKey>,Boolean> predicate)`
`void`
JKleppmannTreeManager.JKleppmannTree.JKleppmannTreeStorageInterface.`putNode(TreeNode<Long,PeerId,JKleppmannTreeNodeMeta,JObjectKey> node)`
Constructors in com.usatiuk.dhfs.jkleppmanntree with parameters of type PeerId
Modifier
Constructor
Description
``
`JKleppmannTreePeriodicPushOp(JObjectKey treeName, PeerId from, long timestamp)`
Creates an instance of a `JKleppmannTreePeriodicPushOp` record class.
Constructor parameters in com.usatiuk.dhfs.jkleppmanntree with type arguments of type PeerId
Modifier
Constructor
Description
``
`JKleppmannTreeOpWrapper(JObjectKey treeName, OpMove<Long,PeerId,JKleppmannTreeNodeMeta,JObjectKey> op)`
Creates an instance of a `JKleppmannTreeOpWrapper` record class.

## Uses of PeerId in com.usatiuk.dhfs.jkleppmanntree.structs

Methods in com.usatiuk.dhfs.jkleppmanntree.structs that return types with arguments of type PeerId
Modifier and Type
Method
Description
`OpMove<Long,PeerId,JKleppmannTreeNodeMeta,JObjectKey>`
JKleppmannTreeNode.`lastEffectiveOp()`
Returns the value of the `lastEffectiveOp` record component.
`org.pcollections.PSortedMap<CombinedTimestamp<Long,PeerId>,LogRecord<Long,PeerId,JKleppmannTreeNodeMeta,JObjectKey>>`
JKleppmannTreePersistentData.`log()`
Returns the value of the `log` record component.
`org.pcollections.PSortedMap<CombinedTimestamp<Long,PeerId>,LogRecord<Long,PeerId,JKleppmannTreeNodeMeta,JObjectKey>>`
JKleppmannTreePersistentData.`log()`
Returns the value of the `log` record component.
`org.pcollections.PMap<PeerId,Long>`
JKleppmannTreePersistentData.`peerTimestampLog()`
Returns the value of the `peerTimestampLog` record component.
`org.pcollections.PMap<PeerId,org.pcollections.PSortedMap<CombinedTimestamp<Long,PeerId>,OpMove<Long,PeerId,JKleppmannTreeNodeMeta,JObjectKey>>>`
JKleppmannTreePersistentData.`queues()`
Returns the value of the `queues` record component.
`org.pcollections.PMap<PeerId,org.pcollections.PSortedMap<CombinedTimestamp<Long,PeerId>,OpMove<Long,PeerId,JKleppmannTreeNodeMeta,JObjectKey>>>`
JKleppmannTreePersistentData.`queues()`
Returns the value of the `queues` record component.
`org.pcollections.PMap<PeerId,org.pcollections.PSortedMap<CombinedTimestamp<Long,PeerId>,OpMove<Long,PeerId,JKleppmannTreeNodeMeta,JObjectKey>>>`
JKleppmannTreePersistentData.`queues()`
Returns the value of the `queues` record component.
Method parameters in com.usatiuk.dhfs.jkleppmanntree.structs with type arguments of type PeerId
Modifier and Type
Method
Description
`JKleppmannTreeNode`
JKleppmannTreeNode.`withLastEffectiveOp(OpMove<Long,PeerId,JKleppmannTreeNodeMeta,JObjectKey> lastEffectiveOp)`
`JKleppmannTreePersistentData`
JKleppmannTreePersistentData.`withLog(org.pcollections.PSortedMap<CombinedTimestamp<Long,PeerId>,LogRecord<Long,PeerId,JKleppmannTreeNodeMeta,JObjectKey>> log)`
`JKleppmannTreePersistentData`
JKleppmannTreePersistentData.`withLog(org.pcollections.PSortedMap<CombinedTimestamp<Long,PeerId>,LogRecord<Long,PeerId,JKleppmannTreeNodeMeta,JObjectKey>> log)`
`JKleppmannTreePersistentData`
JKleppmannTreePersistentData.`withPeerTimestampLog(org.pcollections.PMap<PeerId,Long> peerTimestampLog)`
`JKleppmannTreePersistentData`
JKleppmannTreePersistentData.`withQueues(org.pcollections.PMap<PeerId,org.pcollections.PSortedMap<CombinedTimestamp<Long,PeerId>,OpMove<Long,PeerId,JKleppmannTreeNodeMeta,JObjectKey>>> queues)`
`JKleppmannTreePersistentData`
JKleppmannTreePersistentData.`withQueues(org.pcollections.PMap<PeerId,org.pcollections.PSortedMap<CombinedTimestamp<Long,PeerId>,OpMove<Long,PeerId,JKleppmannTreeNodeMeta,JObjectKey>>> queues)`
`JKleppmannTreePersistentData`
JKleppmannTreePersistentData.`withQueues(org.pcollections.PMap<PeerId,org.pcollections.PSortedMap<CombinedTimestamp<Long,PeerId>,OpMove<Long,PeerId,JKleppmannTreeNodeMeta,JObjectKey>>> queues)`
Constructor parameters in com.usatiuk.dhfs.jkleppmanntree.structs with type arguments of type PeerId
Modifier
Constructor
Description
``
`JKleppmannTreeNode(JObjectKey key, JObjectKey parent, OpMove<Long,PeerId,JKleppmannTreeNodeMeta,JObjectKey> lastEffectiveOp, JKleppmannTreeNodeMeta meta, org.pcollections.PMap<String,JObjectKey> children)`
Creates an instance of a `JKleppmannTreeNode` record class.
``
`JKleppmannTreePersistentData(JObjectKey key, org.pcollections.PCollection<JDataRef> refsFrom, boolean frozen, long clock, org.pcollections.PMap<PeerId,org.pcollections.PSortedMap<CombinedTimestamp<Long,PeerId>,OpMove<Long,PeerId,JKleppmannTreeNodeMeta,JObjectKey>>> queues, org.pcollections.PMap<PeerId,Long> peerTimestampLog, org.pcollections.PSortedMap<CombinedTimestamp<Long,PeerId>,LogRecord<Long,PeerId,JKleppmannTreeNodeMeta,JObjectKey>> log)`
Creates an instance of a `JKleppmannTreePersistentData` record class.
``
`JKleppmannTreePersistentData(JObjectKey key, org.pcollections.PCollection<JDataRef> refsFrom, boolean frozen, long clock, org.pcollections.PMap<PeerId,org.pcollections.PSortedMap<CombinedTimestamp<Long,PeerId>,OpMove<Long,PeerId,JKleppmannTreeNodeMeta,JObjectKey>>> queues, org.pcollections.PMap<PeerId,Long> peerTimestampLog, org.pcollections.PSortedMap<CombinedTimestamp<Long,PeerId>,LogRecord<Long,PeerId,JKleppmannTreeNodeMeta,JObjectKey>> log)`
Creates an instance of a `JKleppmannTreePersistentData` record class.
``
`JKleppmannTreePersistentData(JObjectKey key, org.pcollections.PCollection<JDataRef> refsFrom, boolean frozen, long clock, org.pcollections.PMap<PeerId,org.pcollections.PSortedMap<CombinedTimestamp<Long,PeerId>,OpMove<Long,PeerId,JKleppmannTreeNodeMeta,JObjectKey>>> queues, org.pcollections.PMap<PeerId,Long> peerTimestampLog, org.pcollections.PSortedMap<CombinedTimestamp<Long,PeerId>,LogRecord<Long,PeerId,JKleppmannTreeNodeMeta,JObjectKey>> log)`
Creates an instance of a `JKleppmannTreePersistentData` record class.
``
`JKleppmannTreePersistentData(JObjectKey key, org.pcollections.PCollection<JDataRef> refsFrom, boolean frozen, long clock, org.pcollections.PMap<PeerId,org.pcollections.PSortedMap<CombinedTimestamp<Long,PeerId>,OpMove<Long,PeerId,JKleppmannTreeNodeMeta,JObjectKey>>> queues, org.pcollections.PMap<PeerId,Long> peerTimestampLog, org.pcollections.PSortedMap<CombinedTimestamp<Long,PeerId>,LogRecord<Long,PeerId,JKleppmannTreeNodeMeta,JObjectKey>> log)`
Creates an instance of a `JKleppmannTreePersistentData` record class.
``
`JKleppmannTreePersistentData(JObjectKey key, org.pcollections.PCollection<JDataRef> refsFrom, boolean frozen, long clock, org.pcollections.PMap<PeerId,org.pcollections.PSortedMap<CombinedTimestamp<Long,PeerId>,OpMove<Long,PeerId,JKleppmannTreeNodeMeta,JObjectKey>>> queues, org.pcollections.PMap<PeerId,Long> peerTimestampLog, org.pcollections.PSortedMap<CombinedTimestamp<Long,PeerId>,LogRecord<Long,PeerId,JKleppmannTreeNodeMeta,JObjectKey>> log)`
Creates an instance of a `JKleppmannTreePersistentData` record class.

## Uses of PeerId in com.usatiuk.dhfs.peerdiscovery

Methods in com.usatiuk.dhfs.peerdiscovery that return PeerId
Modifier and Type
Method
Description
`PeerId`
IpPeerAddress.`peer()`
Returns the value of the `peer` record component.
`PeerId`
PeerAddress.`peer()`
Methods in com.usatiuk.dhfs.peerdiscovery that return types with arguments of type PeerId
Modifier and Type
Method
Description
`Collection<PeerId>`
PeerDiscoveryDirectory.`getReachablePeers()`
Methods in com.usatiuk.dhfs.peerdiscovery with parameters of type PeerId
Modifier and Type
Method
Description
`Collection<PeerAddress>`
PeerDiscoveryDirectory.`getForPeer(PeerId peer)`
`static Optional<IpPeerAddress>`
PeerAddrStringHelper.`parseNoPeer(PeerId peerId, String addr)`
Constructors in com.usatiuk.dhfs.peerdiscovery with parameters of type PeerId
Modifier
Constructor
Description
``
`IpPeerAddress(PeerId peer, PeerAddressType type, InetAddress address, int port, int securePort)`
Creates an instance of a `IpPeerAddress` record class.

## Uses of PeerId in com.usatiuk.dhfs.peersync

Methods in com.usatiuk.dhfs.peersync that return PeerId
Modifier and Type
Method
Description
`PeerId`
PersistentPeerDataService.`getSelfUuid()`
`PeerId`
PeerInfo.`id()`
Returns the value of the `id` record component.
`static PeerId`
PeerId.`of(String id)`
`PeerId`
PersistentRemoteHostsData.`selfUuid()`
Returns the value of the `selfUuid` record component.
Methods in com.usatiuk.dhfs.peersync that return types with arguments of type PeerId
Modifier and Type
Method
Description
`Collection<PeerId>`
ReachablePeerManager.HostStateSnapshot.`available()`
Returns the value of the `available` record component.
`List<PeerId>`
ReachablePeerManager.`getAvailableHosts()`
`Collection<org.apache.commons.lang3.tuple.Pair<PeerId,ApiPeerInfo>>`
ReachablePeerManager.`getSeenButNotAddedHosts()`
`org.pcollections.PSet<PeerId>`
PersistentRemoteHostsData.`initialSyncDone()`
Returns the value of the `initialSyncDone` record component.
`org.pcollections.PMap<PeerId,Long>`
PeerInfo.`kickCounter()`
Returns the value of the `kickCounter` record component.
`org.pcollections.PMap<PeerId,IpPeerAddress>`
PersistentRemoteHostsData.`persistentPeerAddress()`
Returns the value of the `persistentPeerAddress` record component.
`Collection<PeerId>`
ReachablePeerManager.HostStateSnapshot.`unavailable()`
Returns the value of the `unavailable` record component.
Methods in com.usatiuk.dhfs.peersync with parameters of type PeerId
Modifier and Type
Method
Description
`void`
PersistentPeerDataService.`addPersistentPeerAddress(PeerId peerId, IpPeerAddress address)`
`void`
ReachablePeerManager.`addRemoteHost(PeerId host, String cert)`
`int`
PeerId.`compareTo(PeerId o)`
`boolean`
PeerInfoService.`existsPeer(PeerId peer)`
`PeerAddress`
ReachablePeerManager.`getAddress(PeerId host)`
`Optional<PeerInfo>`
PeerInfoService.`getPeerInfo(PeerId peer)`
`IpPeerAddress`
PersistentPeerDataService.`getPersistentPeerAddress(PeerId peerId)`
`void`
ReachablePeerManager.`handleConnectionError(PeerId host)`
`void`
PeerConnectedEventListener.`handlePeerConnected(PeerId peerId)`
`void`
PeerDisconnectedEventListener.`handlePeerDisconnected(PeerId peerId)`
`void`
PeerInfoSyncHandler.`handleRemoteUpdate(PeerId from, JObjectKey key, org.pcollections.PMap<PeerId,Long> receivedChangelog, PeerInfo receivedData)`
`boolean`
PersistentPeerDataService.`isInitialSyncDone(PeerId peerId)`
`boolean`
ReachablePeerManager.`isReachable(PeerId host)`
`boolean`
PersistentPeerDataService.`markInitialSyncDone(PeerId peerId)`
`void`
InitialSyncProcessor.`prepareForInitialSync(PeerId from, JObjectKey key)`
`void`
PeerInfoService.`putPeer(PeerId id, byte[] cert)`
`void`
PeerInfoService.`removePeer(PeerId id)`
`void`
PersistentPeerDataService.`removePersistentPeerAddress(PeerId peerId)`
`void`
ReachablePeerManager.`removeRemoteHost(PeerId peerId)`
`boolean`
PersistentPeerDataService.`resetInitialSyncDone(PeerId peerId)`
`Optional<PeerAddress>`
ReachablePeerManager.`selectBestAddress(PeerId host)`
`PeerInfo`
PeerInfo.`withIncrementedKickCounter(PeerId peerId)`
Method parameters in com.usatiuk.dhfs.peersync with type arguments of type PeerId
Modifier and Type
Method
Description
`void`
PeerInfoSyncHandler.`handleRemoteUpdate(PeerId from, JObjectKey key, org.pcollections.PMap<PeerId,Long> receivedChangelog, PeerInfo receivedData)`
`PersistentRemoteHostsData`
PersistentRemoteHostsData.`withInitialSyncDone(org.pcollections.PSet<PeerId> initialSyncDone)`
`PeerInfo`
PeerInfo.`withKickCounter(org.pcollections.PMap<PeerId,Long> kickCounter)`
`PersistentRemoteHostsData`
PersistentRemoteHostsData.`withPersistentPeerAddress(org.pcollections.PMap<PeerId,IpPeerAddress> persistentPeerAddress)`
Constructors in com.usatiuk.dhfs.peersync with parameters of type PeerId
Modifier
Constructor
Description
``
`PeerInfo(PeerId id, byte[] cert)`
``
`PeerInfo(JObjectKey key, PeerId id, com.google.protobuf.ByteString cert, org.pcollections.PMap<PeerId,Long> kickCounter, long lastSeenTimestamp)`
Creates an instance of a `PeerInfo` record class.
``
`PersistentRemoteHostsData(PeerId selfUuid, com.google.protobuf.ByteString selfCertificate, com.google.protobuf.ByteString selfKeyPair, org.pcollections.PSet<PeerId> initialSyncDone, org.pcollections.PMap<PeerId,IpPeerAddress> persistentPeerAddress)`
Creates an instance of a `PersistentRemoteHostsData` record class.
Constructor parameters in com.usatiuk.dhfs.peersync with type arguments of type PeerId
Modifier
Constructor
Description
``
`HostStateSnapshot(Collection<PeerId> available, Collection<PeerId> unavailable)`
Creates an instance of a `HostStateSnapshot` record class.
``
`PeerInfo(JObjectKey key, PeerId id, com.google.protobuf.ByteString cert, org.pcollections.PMap<PeerId,Long> kickCounter, long lastSeenTimestamp)`
Creates an instance of a `PeerInfo` record class.
``
`PersistentRemoteHostsData(PeerId selfUuid, com.google.protobuf.ByteString selfCertificate, com.google.protobuf.ByteString selfKeyPair, org.pcollections.PSet<PeerId> initialSyncDone, org.pcollections.PMap<PeerId,IpPeerAddress> persistentPeerAddress)`
Creates an instance of a `PersistentRemoteHostsData` record class.
``
`PersistentRemoteHostsData(PeerId selfUuid, com.google.protobuf.ByteString selfCertificate, com.google.protobuf.ByteString selfKeyPair, org.pcollections.PSet<PeerId> initialSyncDone, org.pcollections.PMap<PeerId,IpPeerAddress> persistentPeerAddress)`
Creates an instance of a `PersistentRemoteHostsData` record class.

## Uses of PeerId in com.usatiuk.dhfs.peersync.structs

Methods in com.usatiuk.dhfs.peersync.structs that return PeerId
Modifier and Type
Method
Description
`static PeerId`
JKleppmannTreeNodeMetaPeer.`nodeIdToPeerId(JObjectKey id)`
Methods in com.usatiuk.dhfs.peersync.structs with parameters of type PeerId
Modifier and Type
Method
Description
`static JObjectKey`
JKleppmannTreeNodeMetaPeer.`peerIdToNodeId(PeerId id)`
Constructors in com.usatiuk.dhfs.peersync.structs with parameters of type PeerId
Modifier
Constructor
Description
``
`JKleppmannTreeNodeMetaPeer(PeerId id)`

## Uses of PeerId in com.usatiuk.dhfs.remoteobj

Methods in com.usatiuk.dhfs.remoteobj that return types with arguments of type PeerId
Modifier and Type
Method
Description
`org.pcollections.PMap<PeerId,Long>`
ReceivedObject.`changelog()`
Returns the value of the `changelog` record component.
`org.pcollections.PMap<PeerId,Long>`
RemoteObjectMeta.`changelog()`
Returns the value of the `changelog` record component.
`org.pcollections.PSet<PeerId>`
RemoteObjectMeta.`confirmedDeletes()`
Returns the value of the `confirmedDeletes` record component.
`org.pcollections.PMap<PeerId,Long>`
RemoteObjectMeta.`knownRemoteVersions()`
Returns the value of the `knownRemoteVersions` record component.
Methods in com.usatiuk.dhfs.remoteobj with parameters of type PeerId
Modifier and Type
Method
Description
`void`
SyncHandler.`doInitialSync(PeerId peer)`
`void`
IndexUpdateOpHandler.`handleOp(PeerId from, IndexUpdateOp op)`
`<T extends JDataRemote>
void`
DefaultObjSyncHandler.`handleRemoteUpdate(PeerId from, JObjectKey key, org.pcollections.PMap<PeerId,Long> receivedChangelog, JDataRemote receivedData)`
`void`
ObjSyncHandler.`handleRemoteUpdate(PeerId from, JObjectKey key, org.pcollections.PMap<PeerId,Long> receivedChangelog, D receivedData)`
`<D extends JDataRemoteDto>
void`
SyncHandler.`handleRemoteUpdate(PeerId from, JObjectKey key, org.pcollections.PMap<PeerId,Long> receivedChangelog, D receivedData)`
`void`
RemoteObjectInitialSyncProcessor.`prepareForInitialSync(PeerId from, JObjectKey key)`
`void`
ConflictResolver.`resolve(PeerId fromPeer, RemoteObjectMeta ours, RemoteObjectMeta theirs)`
Method parameters in com.usatiuk.dhfs.remoteobj with type arguments of type PeerId
Modifier and Type
Method
Description
`static SyncHelper.ChangelogCmpResult`
SyncHelper.`compareChangelogs(org.pcollections.PMap<PeerId,Long> current, org.pcollections.PMap<PeerId,Long> other)`
`<T extends JDataRemote>
void`
DefaultObjSyncHandler.`handleRemoteUpdate(PeerId from, JObjectKey key, org.pcollections.PMap<PeerId,Long> receivedChangelog, JDataRemote receivedData)`
`void`
ObjSyncHandler.`handleRemoteUpdate(PeerId from, JObjectKey key, org.pcollections.PMap<PeerId,Long> receivedChangelog, D receivedData)`
`<D extends JDataRemoteDto>
void`
SyncHandler.`handleRemoteUpdate(PeerId from, JObjectKey key, org.pcollections.PMap<PeerId,Long> receivedChangelog, D receivedData)`
`RemoteObjectMeta`
RemoteObjectMeta.`withChangelog(org.pcollections.PMap<PeerId,Long> changelog)`
`RemoteObjectMeta`
RemoteObjectMeta.`withConfirmedDeletes(org.pcollections.PSet<PeerId> confirmedDeletes)`
`RemoteObjectMeta`
RemoteObjectMeta.`withKnownRemoteVersions(org.pcollections.PMap<PeerId,Long> knownRemoteVersions)`
Constructors in com.usatiuk.dhfs.remoteobj with parameters of type PeerId
Modifier
Constructor
Description
``
`RemoteObjectMeta(JDataRemote data, PeerId initialPeer)`
Constructor parameters in com.usatiuk.dhfs.remoteobj with type arguments of type PeerId
Modifier
Constructor
Description
``
`ReceivedObject(org.pcollections.PMap<PeerId,Long> changelog, JDataRemoteDto data)`
Creates an instance of a `ReceivedObject` record class.
``
`RemoteObjectMeta(JObjectKey key, org.pcollections.PCollection<JDataRef> refsFrom, boolean frozen, org.pcollections.PMap<PeerId,Long> knownRemoteVersions, Class<? extends JDataRemote> knownType, org.pcollections.PSet<PeerId> confirmedDeletes, boolean seen, org.pcollections.PMap<PeerId,Long> changelog, boolean hasLocalData)`
Creates an instance of a `RemoteObjectMeta` record class.
``
`RemoteObjectMeta(JObjectKey key, org.pcollections.PCollection<JDataRef> refsFrom, boolean frozen, org.pcollections.PMap<PeerId,Long> knownRemoteVersions, Class<? extends JDataRemote> knownType, org.pcollections.PSet<PeerId> confirmedDeletes, boolean seen, org.pcollections.PMap<PeerId,Long> changelog, boolean hasLocalData)`
Creates an instance of a `RemoteObjectMeta` record class.
``
`RemoteObjectMeta(JObjectKey key, org.pcollections.PMap<PeerId,Long> remoteChangelog)`

## Uses of PeerId in com.usatiuk.dhfs.rpc

Methods in com.usatiuk.dhfs.rpc that return types with arguments of type PeerId
Modifier and Type
Method
Description
`Collection<org.apache.commons.lang3.tuple.Pair<PeerId,CanDeleteReply>>`
RemoteObjectServiceClient.`canDelete(Collection<PeerId> targets, JObjectKey objKey)`
`org.apache.commons.lang3.tuple.Pair<PeerId,ReceivedObject>`
RemoteObjectServiceClient.`getSpecificObject(JObjectKey key, PeerId peerId)`
Methods in com.usatiuk.dhfs.rpc with parameters of type PeerId
Modifier and Type
Method
Description
`R`
RpcClientFactory.ObjectSyncClientFunction.`apply(PeerId peer, DhfsObjectSyncGrpcGrpc.DhfsObjectSyncGrpcBlockingStub client)`
`io.smallrye.mutiny.Uni<CanDeleteReply>`
RemoteObjectServiceServerImpl.`canDelete(PeerId from, CanDeleteRequest request)`
`io.smallrye.mutiny.Uni<GetObjectReply>`
RemoteObjectServiceServerImpl.`getObject(PeerId from, GetObjectRequest request)`
`org.apache.commons.lang3.tuple.Pair<PeerId,ReceivedObject>`
RemoteObjectServiceClient.`getSpecificObject(JObjectKey key, PeerId peerId)`
`void`
RpcClientFactory.`handlePeerDisconnected(PeerId peerId)`
`io.smallrye.mutiny.Uni<OpPushReply>`
RemoteObjectServiceServerImpl.`opPush(PeerId from, OpPushRequest request)`
`io.smallrye.mutiny.Uni<PingReply>`
RemoteObjectServiceServerImpl.`ping(PeerId from, PingRequest request)`
`OpPushReply`
RemoteObjectServiceClient.`pushOps(PeerId target, List<Op> ops)`
`<R> R`
RpcClientFactory.`withObjSyncClient(PeerId host, PeerAddress address, long timeout, RpcClientFactory.ObjectSyncClientFunction<R> fn)`
`<R> R`
RpcClientFactory.`withObjSyncClient(PeerId target, RpcClientFactory.ObjectSyncClientFunction<R> fn)`
`<R> R`
RpcClientFactory.`withObjSyncClient(PeerId host, InetAddress addr, int port, long timeout, RpcClientFactory.ObjectSyncClientFunction<R> fn)`
Method parameters in com.usatiuk.dhfs.rpc with type arguments of type PeerId
Modifier and Type
Method
Description
`Collection<org.apache.commons.lang3.tuple.Pair<PeerId,CanDeleteReply>>`
RemoteObjectServiceClient.`canDelete(Collection<PeerId> targets, JObjectKey objKey)`
`void`
RemoteObjectServiceClient.`getObject(JObjectKey key, Function<org.apache.commons.lang3.tuple.Pair<PeerId,ReceivedObject>,Boolean> onReceive)`
`<R> R`
RpcClientFactory.`withObjSyncClient(Collection<PeerId> targets, RpcClientFactory.ObjectSyncClientFunction<R> fn)`

## Uses of PeerId in com.usatiuk.dhfsfs.objects

Methods in com.usatiuk.dhfsfs.objects with parameters of type PeerId
Modifier and Type
Method
Description
`void`
FileSyncHandler.`handleRemoteUpdate(PeerId from, JObjectKey key, org.pcollections.PMap<PeerId,Long> receivedChangelog, FileDto receivedData)`
Method parameters in com.usatiuk.dhfsfs.objects with type arguments of type PeerId
Modifier and Type
Method
Description
`void`
FileSyncHandler.`handleRemoteUpdate(PeerId from, JObjectKey key, org.pcollections.PMap<PeerId,Long> receivedChangelog, FileDto receivedData)`